For the complete documentation index, see llms.txt. This page is also available as Markdown.

Import Run

Manage VARIO Cloud import runs via the REST API, including states, data loading, validation, entry updates, execution, and supported file formats.

einzelne Importvorgänge

Find an existing Resource by identifier

get
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

statestring · enumRead-onlyOptional

Status dieses Import-Vorgangs

Possible values:
labelstringOptional

Label

validatedSinceLastRuleChangebooleanRead-onlyOptional

Wurden die Daten seit der letzten Änderung am Regelwerk validiert?

Default: false
lastImportProcessstring · uuidOptional

Prozess-ID der letzten Tasks zu diesem Import-Vorgang

inputTypestring · enumOptional

Typ der Eingabedaten

Possible values:
get/cmn/data-import/runs/single/{id}
GET /cmn/data-import/runs/single/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "importMappingRuleSetRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "state": "CREATED",
  "headers": [],
  "label": "text",
  "validatedSinceLastRuleChange": false,
  "lastImportProcess": "123e4567-e89b-12d3-a456-426614174000",
  "inputType": "FILE",
  "queryPresetRequest": {
    "mode": "QUERY",
    "queryStatement": "text",
    "presetId": "text",
    "adhocPreset": {
      "version": "text",
      "info": {
        "createdAt": "2026-01-01T00:00:00.000Z",
        "createdFrom": "text",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "updatedFrom": "text"
      },
      "id": "text",
      "mode": "QUERY",
      "templateId": "text",
      "templateGroupKey": "text",
      "label": "text",
      "uiPayload": {
        "empty": true,
        "array": true,
        "null": true,
        "object": true,
        "float": true,
        "missingNode": true,
        "nodeType": "ARRAY",
        "valueNode": true,
        "container": true,
        "integralNumber": true,
        "floatingPointNumber": true,
        "string": true,
        "pojo": true,
        "short": true,
        "int": true,
        "long": true,
        "double": true,
        "bigDecimal": true,
        "bigInteger": true,
        "boolean": true,
        "binary": true,
        "number": true,
        "embeddedValue": true
      },
      "variables": [],
      "queryStatement": "text",
      "queryPredicate": {
        "type": "JUNCTION",
        "operator": "AND",
        "children": [],
        "property": "text",
        "values": [
          "text"
        ],
        "visible": true,
        "functions": [
          "text"
        ]
      },
      "results": [],
      "sortAndOrders": [],
      "pageable": {
        "limit": 1
      },
      "option": {
        "distinctResult": true
      },
      "transformations": [],
      "arithmeticQueryTerms": [],
      "definition": [
        {
          "_type": "text",
          "definition": "[Circular Reference]",
          "value": "[Circular Reference]"
        }
      ],
      "permissionAggregation": {
        "version": "text",
        "info": {
          "createdAt": "2026-01-01T00:00:00.000Z",
          "createdFrom": "text",
          "updatedAt": "2026-01-01T00:00:00.000Z",
          "updatedFrom": "text"
        },
        "id": "text",
        "userPermissions": [],
        "groupPermissions": [],
        "operationForAllUsers": "READ_ONLY"
      },
      "forWorkflow": false,
      "outputReportGroupIdentifier": "text",
      "userOptions": {
        "version": "text",
        "info": {
          "createdAt": "2026-01-01T00:00:00.000Z",
          "createdFrom": "text",
          "updatedAt": "2026-01-01T00:00:00.000Z",
          "updatedFrom": "text"
        },
        "id": "text",
        "pinned": false
      }
    },
    "overrideResults": [],
    "arithmeticQueryTerms": [],
    "additionalPredicate": {
      "type": "JUNCTION",
      "operator": "AND",
      "children": [],
      "property": "text",
      "values": [
        "text"
      ],
      "visible": true,
      "functions": [
        "text"
      ]
    },
    "pageable": {
      "start": 1,
      "limit": 1,
      "sortOrders": []
    },
    "variableSubstitutionList": {
      "variableSubstitutions": []
    }
  },
  "scheduledImportRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  }
}

Update existing Resource

put
Path parameters
idinteger · int64Required

an identifier

Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

statestring · enumRead-onlyOptional

Status dieses Import-Vorgangs

Possible values:
labelstringOptional

Label

validatedSinceLastRuleChangebooleanRead-onlyOptional

Wurden die Daten seit der letzten Änderung am Regelwerk validiert?

Default: false
lastImportProcessstring · uuidOptional

Prozess-ID der letzten Tasks zu diesem Import-Vorgang

inputTypestring · enumOptional

Typ der Eingabedaten

Possible values:
Responses
200

successful operation

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

statestring · enumRead-onlyOptional

Status dieses Import-Vorgangs

Possible values:
labelstringOptional

Label

validatedSinceLastRuleChangebooleanRead-onlyOptional

Wurden die Daten seit der letzten Änderung am Regelwerk validiert?

Default: false
lastImportProcessstring · uuidOptional

Prozess-ID der letzten Tasks zu diesem Import-Vorgang

inputTypestring · enumOptional

Typ der Eingabedaten

Possible values:
put/cmn/data-import/runs/single/{id}
PUT /cmn/data-import/runs/single/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 1689

{
  "version": "text",
  "info": {},
  "id": "text",
  "importMappingRuleSetRef": {
    "id": "text"
  },
  "headers": [],
  "label": "text",
  "lastImportProcess": "123e4567-e89b-12d3-a456-426614174000",
  "inputType": "FILE",
  "queryPresetRequest": {
    "mode": "QUERY",
    "queryStatement": "text",
    "presetId": "text",
    "adhocPreset": {
      "version": "text",
      "info": {},
      "id": "text",
      "mode": "QUERY",
      "templateId": "text",
      "templateGroupKey": "text",
      "label": "text",
      "uiPayload": {
        "empty": true,
        "array": true,
        "null": true,
        "object": true,
        "float": true,
        "missingNode": true,
        "nodeType": "ARRAY",
        "valueNode": true,
        "container": true,
        "integralNumber": true,
        "floatingPointNumber": true,
        "string": true,
        "pojo": true,
        "short": true,
        "int": true,
        "long": true,
        "double": true,
        "bigDecimal": true,
        "bigInteger": true,
        "boolean": true,
        "binary": true,
        "number": true,
        "embeddedValue": true
      },
      "variables": [],
      "queryStatement": "text",
      "queryPredicate": {
        "type": "JUNCTION",
        "operator": "AND",
        "children": [],
        "property": "text",
        "values": [
          "text"
        ],
        "visible": true,
        "functions": [
          "text"
        ]
      },
      "results": [],
      "sortAndOrders": [],
      "pageable": {
        "limit": 1
      },
      "option": {
        "distinctResult": true
      },
      "transformations": [],
      "arithmeticQueryTerms": [],
      "permissionAggregation": {
        "version": "text",
        "info": {},
        "id": "text",
        "userPermissions": [],
        "groupPermissions": [],
        "operationForAllUsers": "READ_ONLY"
      },
      "forWorkflow": false,
      "outputReportGroupIdentifier": "text",
      "userOptions": {
        "version": "text",
        "info": {},
        "id": "text",
        "pinned": false
      }
    },
    "overrideResults": [],
    "arithmeticQueryTerms": [],
    "additionalPredicate": {
      "type": "JUNCTION",
      "operator": "AND",
      "children": [],
      "property": "text",
      "values": [
        "text"
      ],
      "visible": true,
      "functions": [
        "text"
      ]
    },
    "pageable": {
      "start": 1,
      "limit": 1,
      "sortOrders": []
    },
    "variableSubstitutionList": {
      "variableSubstitutions": []
    }
  },
  "scheduledImportRef": {
    "id": "text"
  }
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "importMappingRuleSetRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "state": "CREATED",
  "headers": [],
  "label": "text",
  "validatedSinceLastRuleChange": false,
  "lastImportProcess": "123e4567-e89b-12d3-a456-426614174000",
  "inputType": "FILE",
  "queryPresetRequest": {
    "mode": "QUERY",
    "queryStatement": "text",
    "presetId": "text",
    "adhocPreset": {
      "version": "text",
      "info": {
        "createdAt": "2026-01-01T00:00:00.000Z",
        "createdFrom": "text",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "updatedFrom": "text"
      },
      "id": "text",
      "mode": "QUERY",
      "templateId": "text",
      "templateGroupKey": "text",
      "label": "text",
      "uiPayload": {
        "empty": true,
        "array": true,
        "null": true,
        "object": true,
        "float": true,
        "missingNode": true,
        "nodeType": "ARRAY",
        "valueNode": true,
        "container": true,
        "integralNumber": true,
        "floatingPointNumber": true,
        "string": true,
        "pojo": true,
        "short": true,
        "int": true,
        "long": true,
        "double": true,
        "bigDecimal": true,
        "bigInteger": true,
        "boolean": true,
        "binary": true,
        "number": true,
        "embeddedValue": true
      },
      "variables": [],
      "queryStatement": "text",
      "queryPredicate": {
        "type": "JUNCTION",
        "operator": "AND",
        "children": [],
        "property": "text",
        "values": [
          "text"
        ],
        "visible": true,
        "functions": [
          "text"
        ]
      },
      "results": [],
      "sortAndOrders": [],
      "pageable": {
        "limit": 1
      },
      "option": {
        "distinctResult": true
      },
      "transformations": [],
      "arithmeticQueryTerms": [],
      "definition": [
        {
          "_type": "text",
          "definition": "[Circular Reference]",
          "value": "[Circular Reference]"
        }
      ],
      "permissionAggregation": {
        "version": "text",
        "info": {
          "createdAt": "2026-01-01T00:00:00.000Z",
          "createdFrom": "text",
          "updatedAt": "2026-01-01T00:00:00.000Z",
          "updatedFrom": "text"
        },
        "id": "text",
        "userPermissions": [],
        "groupPermissions": [],
        "operationForAllUsers": "READ_ONLY"
      },
      "forWorkflow": false,
      "outputReportGroupIdentifier": "text",
      "userOptions": {
        "version": "text",
        "info": {
          "createdAt": "2026-01-01T00:00:00.000Z",
          "createdFrom": "text",
          "updatedAt": "2026-01-01T00:00:00.000Z",
          "updatedFrom": "text"
        },
        "id": "text",
        "pinned": false
      }
    },
    "overrideResults": [],
    "arithmeticQueryTerms": [],
    "additionalPredicate": {
      "type": "JUNCTION",
      "operator": "AND",
      "children": [],
      "property": "text",
      "values": [
        "text"
      ],
      "visible": true,
      "functions": [
        "text"
      ]
    },
    "pageable": {
      "start": 1,
      "limit": 1,
      "sortOrders": []
    },
    "variableSubstitutionList": {
      "variableSubstitutions": []
    }
  },
  "scheduledImportRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  }
}
put
Path parameters
idinteger · int64Required
Query parameters
statestring · enumRequiredPossible values:
Responses
200

OK

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

statestring · enumRead-onlyOptional

Status dieses Import-Vorgangs

Possible values:
labelstringOptional

Label

validatedSinceLastRuleChangebooleanRead-onlyOptional

Wurden die Daten seit der letzten Änderung am Regelwerk validiert?

Default: false
lastImportProcessstring · uuidOptional

Prozess-ID der letzten Tasks zu diesem Import-Vorgang

inputTypestring · enumOptional

Typ der Eingabedaten

Possible values:
put/cmn/data-import/runs/single/{id}/state
PUT /cmn/data-import/runs/single/{id}/state?state=CREATED HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "importMappingRuleSetRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "state": "CREATED",
  "headers": [],
  "label": "text",
  "validatedSinceLastRuleChange": false,
  "lastImportProcess": "123e4567-e89b-12d3-a456-426614174000",
  "inputType": "FILE",
  "queryPresetRequest": {
    "mode": "QUERY",
    "queryStatement": "text",
    "presetId": "text",
    "adhocPreset": {
      "version": "text",
      "info": {
        "createdAt": "2026-01-01T00:00:00.000Z",
        "createdFrom": "text",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "updatedFrom": "text"
      },
      "id": "text",
      "mode": "QUERY",
      "templateId": "text",
      "templateGroupKey": "text",
      "label": "text",
      "uiPayload": {
        "empty": true,
        "array": true,
        "null": true,
        "object": true,
        "float": true,
        "missingNode": true,
        "nodeType": "ARRAY",
        "valueNode": true,
        "container": true,
        "integralNumber": true,
        "floatingPointNumber": true,
        "string": true,
        "pojo": true,
        "short": true,
        "int": true,
        "long": true,
        "double": true,
        "bigDecimal": true,
        "bigInteger": true,
        "boolean": true,
        "binary": true,
        "number": true,
        "embeddedValue": true
      },
      "variables": [],
      "queryStatement": "text",
      "queryPredicate": {
        "type": "JUNCTION",
        "operator": "AND",
        "children": [],
        "property": "text",
        "values": [
          "text"
        ],
        "visible": true,
        "functions": [
          "text"
        ]
      },
      "results": [],
      "sortAndOrders": [],
      "pageable": {
        "limit": 1
      },
      "option": {
        "distinctResult": true
      },
      "transformations": [],
      "arithmeticQueryTerms": [],
      "definition": [
        {
          "_type": "text",
          "definition": "[Circular Reference]",
          "value": "[Circular Reference]"
        }
      ],
      "permissionAggregation": {
        "version": "text",
        "info": {
          "createdAt": "2026-01-01T00:00:00.000Z",
          "createdFrom": "text",
          "updatedAt": "2026-01-01T00:00:00.000Z",
          "updatedFrom": "text"
        },
        "id": "text",
        "userPermissions": [],
        "groupPermissions": [],
        "operationForAllUsers": "READ_ONLY"
      },
      "forWorkflow": false,
      "outputReportGroupIdentifier": "text",
      "userOptions": {
        "version": "text",
        "info": {
          "createdAt": "2026-01-01T00:00:00.000Z",
          "createdFrom": "text",
          "updatedAt": "2026-01-01T00:00:00.000Z",
          "updatedFrom": "text"
        },
        "id": "text",
        "pinned": false
      }
    },
    "overrideResults": [],
    "arithmeticQueryTerms": [],
    "additionalPredicate": {
      "type": "JUNCTION",
      "operator": "AND",
      "children": [],
      "property": "text",
      "values": [
        "text"
      ],
      "visible": true,
      "functions": [
        "text"
      ]
    },
    "pageable": {
      "start": 1,
      "limit": 1,
      "sortOrders": []
    },
    "variableSubstitutionList": {
      "variableSubstitutions": []
    }
  },
  "scheduledImportRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  }
}
put
Path parameters
idinteger · int64Required
Query parameters
presettingImportbooleanOptional
onlySingleImportbooleanOptional
Responses
200

OK

No content

put/cmn/data-import/runs/single/{id}/run
PUT /cmn/data-import/runs/single/{id}/run HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

No content

put
Path parameters
idinteger · int64Required
Responses
200

OK

No content

put/cmn/data-import/runs/single/{id}/load-data
PUT /cmn/data-import/runs/single/{id}/load-data HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

No content

put
Path parameters
idinteger · int64Required
entryIdinteger · int64Required
Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

indexinteger · int64Read-onlyOptional

1-basierter Index

statestring · enumRead-onlyOptional

Status dieses Eintrags

Possible values:
validationStatestring · enumRead-onlyOptional

Ergebnis der Validierung

Possible values:
lastValidatedAtstring · date-timeRead-onlyOptional

Zeitpunkt der letzten Validierung

Responses
200

OK

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

indexinteger · int64Read-onlyOptional

1-basierter Index

statestring · enumRead-onlyOptional

Status dieses Eintrags

Possible values:
validationStatestring · enumRead-onlyOptional

Ergebnis der Validierung

Possible values:
lastValidatedAtstring · date-timeRead-onlyOptional

Zeitpunkt der letzten Validierung

put/cmn/data-import/runs/single/{id}/entries/{entryId}
PUT /cmn/data-import/runs/single/{id}/entries/{entryId} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 801

{
  "version": "text",
  "info": {},
  "id": "text",
  "content": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  },
  "transformationResult": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  }
}
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "index": 1,
  "state": "NOT_YET_RUN",
  "content": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  },
  "transformationResult": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "nodeType": "ARRAY",
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "floatingPointNumber": true,
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "binary": true,
    "number": true,
    "embeddedValue": true
  },
  "violations": [],
  "validationState": "NOT_YET_RUN",
  "lastValidatedAt": "2026-01-01T00:00:00.000Z"
}
put
Path parameters
idinteger · int64Required
entryIdinteger · int64Required
Query parameters
statestring · enumRequiredPossible values:
Responses
200

OK

No content

put/cmn/data-import/runs/single/{id}/entries/{entryId}/state
PUT /cmn/data-import/runs/single/{id}/entries/{entryId}/state?state=NOT_YET_RUN HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

No content

Create new Resource

post
Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

statestring · enumRead-onlyOptional

Status dieses Import-Vorgangs

Possible values:
labelstringOptional

Label

validatedSinceLastRuleChangebooleanRead-onlyOptional

Wurden die Daten seit der letzten Änderung am Regelwerk validiert?

Default: false
lastImportProcessstring · uuidOptional

Prozess-ID der letzten Tasks zu diesem Import-Vorgang

inputTypestring · enumOptional

Typ der Eingabedaten

Possible values:
Responses
200

successful operation

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

statestring · enumRead-onlyOptional

Status dieses Import-Vorgangs

Possible values:
labelstringOptional

Label

validatedSinceLastRuleChangebooleanRead-onlyOptional

Wurden die Daten seit der letzten Änderung am Regelwerk validiert?

Default: false
lastImportProcessstring · uuidOptional

Prozess-ID der letzten Tasks zu diesem Import-Vorgang

inputTypestring · enumOptional

Typ der Eingabedaten

Possible values:
post/cmn/data-import/runs/single
POST /cmn/data-import/runs/single HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 1689

{
  "version": "text",
  "info": {},
  "id": "text",
  "importMappingRuleSetRef": {
    "id": "text"
  },
  "headers": [],
  "label": "text",
  "lastImportProcess": "123e4567-e89b-12d3-a456-426614174000",
  "inputType": "FILE",
  "queryPresetRequest": {
    "mode": "QUERY",
    "queryStatement": "text",
    "presetId": "text",
    "adhocPreset": {
      "version": "text",
      "info": {},
      "id": "text",
      "mode": "QUERY",
      "templateId": "text",
      "templateGroupKey": "text",
      "label": "text",
      "uiPayload": {
        "empty": true,
        "array": true,
        "null": true,
        "object": true,
        "float": true,
        "missingNode": true,
        "nodeType": "ARRAY",
        "valueNode": true,
        "container": true,
        "integralNumber": true,
        "floatingPointNumber": true,
        "string": true,
        "pojo": true,
        "short": true,
        "int": true,
        "long": true,
        "double": true,
        "bigDecimal": true,
        "bigInteger": true,
        "boolean": true,
        "binary": true,
        "number": true,
        "embeddedValue": true
      },
      "variables": [],
      "queryStatement": "text",
      "queryPredicate": {
        "type": "JUNCTION",
        "operator": "AND",
        "children": [],
        "property": "text",
        "values": [
          "text"
        ],
        "visible": true,
        "functions": [
          "text"
        ]
      },
      "results": [],
      "sortAndOrders": [],
      "pageable": {
        "limit": 1
      },
      "option": {
        "distinctResult": true
      },
      "transformations": [],
      "arithmeticQueryTerms": [],
      "permissionAggregation": {
        "version": "text",
        "info": {},
        "id": "text",
        "userPermissions": [],
        "groupPermissions": [],
        "operationForAllUsers": "READ_ONLY"
      },
      "forWorkflow": false,
      "outputReportGroupIdentifier": "text",
      "userOptions": {
        "version": "text",
        "info": {},
        "id": "text",
        "pinned": false
      }
    },
    "overrideResults": [],
    "arithmeticQueryTerms": [],
    "additionalPredicate": {
      "type": "JUNCTION",
      "operator": "AND",
      "children": [],
      "property": "text",
      "values": [
        "text"
      ],
      "visible": true,
      "functions": [
        "text"
      ]
    },
    "pageable": {
      "start": 1,
      "limit": 1,
      "sortOrders": []
    },
    "variableSubstitutionList": {
      "variableSubstitutions": []
    }
  },
  "scheduledImportRef": {
    "id": "text"
  }
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "importMappingRuleSetRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "state": "CREATED",
  "headers": [],
  "label": "text",
  "validatedSinceLastRuleChange": false,
  "lastImportProcess": "123e4567-e89b-12d3-a456-426614174000",
  "inputType": "FILE",
  "queryPresetRequest": {
    "mode": "QUERY",
    "queryStatement": "text",
    "presetId": "text",
    "adhocPreset": {
      "version": "text",
      "info": {
        "createdAt": "2026-01-01T00:00:00.000Z",
        "createdFrom": "text",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "updatedFrom": "text"
      },
      "id": "text",
      "mode": "QUERY",
      "templateId": "text",
      "templateGroupKey": "text",
      "label": "text",
      "uiPayload": {
        "empty": true,
        "array": true,
        "null": true,
        "object": true,
        "float": true,
        "missingNode": true,
        "nodeType": "ARRAY",
        "valueNode": true,
        "container": true,
        "integralNumber": true,
        "floatingPointNumber": true,
        "string": true,
        "pojo": true,
        "short": true,
        "int": true,
        "long": true,
        "double": true,
        "bigDecimal": true,
        "bigInteger": true,
        "boolean": true,
        "binary": true,
        "number": true,
        "embeddedValue": true
      },
      "variables": [],
      "queryStatement": "text",
      "queryPredicate": {
        "type": "JUNCTION",
        "operator": "AND",
        "children": [],
        "property": "text",
        "values": [
          "text"
        ],
        "visible": true,
        "functions": [
          "text"
        ]
      },
      "results": [],
      "sortAndOrders": [],
      "pageable": {
        "limit": 1
      },
      "option": {
        "distinctResult": true
      },
      "transformations": [],
      "arithmeticQueryTerms": [],
      "definition": [
        {
          "_type": "text",
          "definition": "[Circular Reference]",
          "value": "[Circular Reference]"
        }
      ],
      "permissionAggregation": {
        "version": "text",
        "info": {
          "createdAt": "2026-01-01T00:00:00.000Z",
          "createdFrom": "text",
          "updatedAt": "2026-01-01T00:00:00.000Z",
          "updatedFrom": "text"
        },
        "id": "text",
        "userPermissions": [],
        "groupPermissions": [],
        "operationForAllUsers": "READ_ONLY"
      },
      "forWorkflow": false,
      "outputReportGroupIdentifier": "text",
      "userOptions": {
        "version": "text",
        "info": {
          "createdAt": "2026-01-01T00:00:00.000Z",
          "createdFrom": "text",
          "updatedAt": "2026-01-01T00:00:00.000Z",
          "updatedFrom": "text"
        },
        "id": "text",
        "pinned": false
      }
    },
    "overrideResults": [],
    "arithmeticQueryTerms": [],
    "additionalPredicate": {
      "type": "JUNCTION",
      "operator": "AND",
      "children": [],
      "property": "text",
      "values": [
        "text"
      ],
      "visible": true,
      "functions": [
        "text"
      ]
    },
    "pageable": {
      "start": 1,
      "limit": 1,
      "sortOrders": []
    },
    "variableSubstitutionList": {
      "variableSubstitutions": []
    }
  },
  "scheduledImportRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  }
}
post
Path parameters
idinteger · int64Required
Query parameters
frominteger · int64Optional

Optional: Datensätze erst ab Eintrag ... validieren. null = ohne Einschränkung

tointeger · int64Optional

Optional: Datensätze nur bis Eintrag ... validieren. null = ohne Einschränkung

Responses
200

OK

No content

post/cmn/data-import/runs/single/{id}/run/validate
POST /cmn/data-import/runs/single/{id}/run/validate HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

No content

get
Path parameters
idinteger · int64Required
Responses
200

OK

*/*

Beschreibung zu einem Skript

get/cmn/data-import/runs/single/{id}/script-context-description
GET /cmn/data-import/runs/single/{id}/script-context-description HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "mainInstance": {
    "name": "text",
    "description": "text",
    "moduleName": "text",
    "attributes": [],
    "methods": [],
    "usageExample": "text",
    "type": "INSTANCE"
  },
  "availableTypes": [],
  "availableInput": []
}
get
Path parameters
idinteger · int64Required
Query parameters
_limitinteger · int32Optional
_startinteger · int32Optional
applyTransformationsbooleanRequired
Responses
200

OK

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

indexinteger · int64Read-onlyOptional

1-basierter Index

statestring · enumRead-onlyOptional

Status dieses Eintrags

Possible values:
validationStatestring · enumRead-onlyOptional

Ergebnis der Validierung

Possible values:
lastValidatedAtstring · date-timeRead-onlyOptional

Zeitpunkt der letzten Validierung

get/cmn/data-import/runs/single/{id}/entries
GET /cmn/data-import/runs/single/{id}/entries?applyTransformations=true HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

[]
get
Responses
200

OK

*/*
string[]Optional
get/cmn/data-import/runs/single/supported-file-formats
GET /cmn/data-import/runs/single/supported-file-formats HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

[
  "text"
]

Last updated

Was this helpful?